<ng-container *transloco="let t">
  <button
    #menuToggle="cdkOverlayOrigin"
    (click)="menuOpen.set(true)"
    cdkOverlayOrigin
    mat-icon-button
  >
    <mat-icon>account_circle</mat-icon>
  </button>

  <ng-template
    (overlayOutsideClick)="menuOpen.set(false)"
    [cdkConnectedOverlayOpen]="this.menuOpen()"
    [cdkConnectedOverlayOrigin]="menuToggle"
    cdkConnectedOverlay
    cdkConnectedOverlayHasBackdrop
  >
    <mat-card class="menu">
      @if (userService.user(); as user) {
      <moe-user-profile [user]="user" />
      <mat-divider />
      }

      <mat-nav-list class="menu__links">
        @for (item of menuItems; track item.path) {
        <mat-list-item [routerLink]="item.path">
          <mat-icon matListItemIcon>{{ item.icon }}</mat-icon>
          <span matLine>{{ t('LAYOUT.MENU.LINKS.' + item.translateKey) }}</span>
        </mat-list-item>
        }
      </mat-nav-list>

      <mat-divider></mat-divider>

      <div class="menu__settings">
        <button mat-button routerLink="/settings">
          <mat-icon>settings</mat-icon>
          {{ t('LAYOUT.MENU.SETTINGS_BTN') }}
        </button>
        <moe-theme-toggle></moe-theme-toggle>
      </div>

      <mat-divider></mat-divider>

      <div class="menu__auth-actions">
        @if (userService.isAnonymous()) {
        <button color="primary" mat-flat-button (click)="authService.login()">
          {{ t('LAYOUT.MENU.LOGIN_BTN') }}
        </button>
        } @else {
        <button color="accent" mat-flat-button (click)="authService.logout()">
          {{ t('LAYOUT.MENU.LOGOUT_BTN') }}
        </button>
        }
      </div>
    </mat-card>
  </ng-template>
</ng-container>
